6 Replies Latest reply: Nov 24, 2010 7:12 AM by Fabricio Raphael RSS

Support SOAP 1.1 and SOAP 1.2 in the same Endpoint

Ramesh R Newbie

Hello experts,

 

                    I have a web simple web service, lets call it as webserviceA, and I would like the web service method to support soap1.1 and soap 1.2 versions. I'm using JBossWS CXF 3.2.2 GA. 

 

I have used the following annotion in my service class to add soap 1.2 support. I used JBossWS runtime to create a web service project

 @BindingType(javax.xml.ws.soap.SOAPBinding.SOAP12HTTP_BINDING)

The wsdl file is generated with soap 1.2 support and it works fine too. But the moment I manaually add soap 1.1 binding in the same wsdl and deploy to the server, only soap 1.1 binding works fine. When I try to access soap 1.2 I got the following message

 

 

      <soap:Fault>
         <faultcode>soap:VersionMismatch</faultcode>
         <faultstring>A SOAP 1.2 message is not valid when sent to a SOAP 1.1 only endpoint.</faultstring>
      </soap:Fault>

 

 

      <soap:Fault>
         <faultcode>soap:VersionMismatch</faultcode>
         <faultstring>A SOAP 1.2 message is not valid when sent to a SOAP 1.1 only endpoint.</faultstring>
      </soap:Fault>
I hope the experts here can enlighten me if this is possible at all.

 

 

 

Thanks in Advance,

Ramesh